Create a device profile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API endpoint allows you to create a device profile that is required to issue an identity. Before creating a device profile, you need to fetch the credential category, suppliers, and product names (Refer Get Credential Categories, Suppliers, and Product Names). The following are the steps to create a device profile.

  • Fetch the categories of the credentials. E.g.: PIV, FIDO2, Mobile, etc.
  • Based on the selected credential category, fetch the supported suppliers.
  • Based on the selected supplier, fetch the product names.
  • Based on the selected product name, display the page to enter device profile values.
  • Save the device profile to create a new device profile to support issuance.

Body Parameters

ParameterTypeDescription
idlongThe unique id of the device profile.
namestringThe name of the device profile.
descriptionstringA brief description of the device profile.
keyStorageTypestringDenotes where you want to store the keys.
Possible Values:

Database
HSM

configValueCategoryobjectEnter the details of the type of the device category.
configValueProductNameobjectEnter the details of the device product model.
configValueSupplierobjectEnter the details of the supplier.
devProfHsmInfoobjectEnter the details of the device profile in HSM.
  • *Note: This object is only applicable if you select thekeyStorageType** as HSM. Otherwise, this is not required.
devProfKeyMgrobjectEnter the details of the key manager.
deviceProfileConfigobjectEnter the details of the device profile configuration.
Path Params
string
required

Denotes the name of your organization.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json